using System;
namespace konvkesni_omotac
{
    class Program
    {
        static int P(int[] x, int[] y, int n)
        {
            int p = 0;
            for (int i = 0; i < n; i++)
            {
                p = p + x[i] * y[(i + 1) % n] - x[(i + 1) % n] * y[i];
            }
            return Math.Abs(p) / 2;
        }

        static void Main()
        {
            int n = Convert.ToInt32(Console.ReadLine());
            int[] x = new int[n];
            int[] y = new int[n];

            for (int i = 0; i < n; i++)
            {
                string[] unosTacaka = Console.ReadLine().Split();
                x[i] = int.Parse(unosTacaka[0]);
                y[i] = int.Parse(unosTacaka[1]);
            }
            int minP = int.MaxValue;
            for (int i = 0; i < n; i++)
            {
                int[] x2 = new int[n - 1];
                int[] y2 = new int[n - 1];
                int j = 0;
                for (int k = 0; k < n; k++)
                {
                    if (k != i)
                    {
                        x2[j] = x[k];
                        y2[j] = y[k];
                        j++;
                    }
                }
                int p = P(x2, y2, n - 1);
                minP = Math.Min(minP, p);
            }
            Console.WriteLine(minP);
        }
    }
}